export const REQUEST_LOGIN_PENDING = 'REQUEST_LOGIN_PENDING';
export const REQUEST_LOGIN_SUCCESS = 'REQUEST_LOGIN_SUCCESS';
export const REQUEST_LOGIN_FAILED = 'REQUEST_LOGIN_FAILED';
export const SET_LOGIN_DEFAULT = 'SET_LOGIN_DEFAULT';

export const SET_ALL_DEFAULT = 'SET_ALL_DEFAULT';

export const SAVE_TOKEN = 'SAVE_TOKEN';

export const GET_MENU_PENDING = 'GET_MENU_PENDING';
export const GET_MENU_SUCCESS = 'GET_MENU_SUCCESS';
export const GET_MENU_FAILED = 'GET_MENU_FAILED';

export const GET_ROOM_LIST_PENDING = 'GET_ROOM_LIST_PENDING';
export const GET_ROOM_LIST_SUCCESS = 'GET_ROOM_LIST_SUCCESS';
export const GET_ROOM_LIST_FAILED = 'GET_ROOM_LIST_FAILED';

export const GET_MESSAGE_LIST_PENDING = 'GET_MESSAGE_LIST_PENDING';
export const GET_MESSAGE_LIST_SUCCESS = 'GET_MESSAGE_LIST_SUCCESS';
export const GET_MESSAGE_LIST_FAILED = 'GET_MESSAGE_LIST_FAILED';

export const POST_MESSAGE_PENDING = 'POST_MESSAGE_PENDING';
export const POST_MESSAGE_SUCCESS = 'POST_MESSAGE_SUCCESS';
export const POST_MESSAGE_FAILED = 'POST_MESSAGE_FAILED';

export const REQUEST_GET_NOTE_PENDING = 'REQUEST_GET_NOTE_PENDING';
export const REQUEST_GET_NOTE_SUCCESS = 'REQUEST_GET_NOTE_SUCCESS';
export const REQUEST_GET_NOTE_FAILED = 'REQUEST_GET_NOTE_FAILED';

export const REQUEST_CREATE_NOTE_PENDING = 'REQUEST_CREATE_NOTE_PENDING';
export const REQUEST_CREATE_NOTE_SUCCESS = 'REQUEST_CREATE_NOTE_SUCCESS';
export const REQUEST_CREATE_NOTE_FAILED = 'REQUEST_CREATE_NOTE_FAILED';

export const REQUEST_UPDATE_NOTE_PENDING = 'REQUEST_UPDATE_NOTE_PENDING';
export const REQUEST_UPDATE_NOTE_SUCCESS = 'REQUEST_UPDATE_NOTE_SUCCESS';
export const REQUEST_UPDATE_NOTE_FAILED = 'REQUEST_UPDATE_NOTE_FAILED';

export const REQUEST_DELETE_NOTE_PENDING = 'REQUEST_DELETE_NOTE_PENDING';
export const REQUEST_DELETE_NOTE_SUCCESS = 'REQUEST_DELETE_NOTE_SUCCESS';
export const REQUEST_DELETE_NOTE_FAILED = 'REQUEST_DELETE_NOTE_FAILED';

export const REQUEST_GET_NOTE_LIST_PENDING = 'REQUEST_GET_NOTE_LIST_PENDING';
export const REQUEST_GET_NOTE_LIST_SUCCESS = 'REQUEST_GET_NOTE_LIST_SUCCESS';
export const REQUEST_GET_NOTE_LIST_FAILED = 'REQUEST_GET_NOTE_LIST_FAILED';

export const REQUEST_POST_NOTE_PENDING = 'REQUEST_POST_NOTE_PENDING';
export const REQUEST_POST_NOTE_SUCCESS = 'REQUEST_POST_NOTE_SUCCESS';
export const REQUEST_POST_NOTE_FAILED = 'REQUEST_POST_NOTE_FAILED';

export const ADD_REASON_ARTICLE = 'ADD_REASON_ARTICLE';

export const GET_ARTICLE_MENU_PENDING = 'GET_ARTICLE_MENU_PENDING';
export const GET_ARTICLE_MENU_SUCCESS = 'GET_ARTICLE_MENU_SUCCESS';
export const GET_ARTICLE_MENU_FAILED = 'GET_ARTICLE_MENU_FAILED';

export const REQUEST_ARTICLE_REASON_PENDING = 'REQUEST_ARTICLE_REASON_PENDING';
export const REQUEST_ARTICLE_REASON_SUCCESS = 'REQUEST_ARTICLE_REASON_SUCCESS';
export const REQUEST_ARTICLE_REASON_FAILED = 'REQUEST_ARTICLE_REASON_FAILED';

export const REQUEST_PLANOGRAM_INFO_PENDING = 'REQUEST_PLANOGRAM_INFO_PENDING';
export const REQUEST_PLANOGRAM_INFO_SUCCESS = 'REQUEST_PLANOGRAM_INFO_SUCCESS';
export const REQUEST_PLANOGRAM_INFO_FAILED = 'REQUEST_PLANOGRAM_INFO_FAILED';

export const REQUEST_ARTICLE_LIST_PENDING = 'REQUEST_ARTICLE_LIST_PENDING';
export const REQUEST_ARTICLE_LIST_SUCCESS = 'REQUEST_ARTICLE_LIST_SUCCESS';
export const REQUEST_ARTICLE_LIST_FAILED = 'REQUEST_ARTICLE_LIST_FAILED';

export const REQUEST_SUBMIT_REASON_PENDING = 'REQUEST_SUBMIT_REASON_PENDING';
export const REQUEST_SUBMIT_REASON_SUCCESS = 'REQUEST_SUBMIT_REASON_SUCCESS';
export const REQUEST_SUBMIT_REASON_FAILED = 'REQUEST_SUBMIT_REASON_FAILED';

export const GET_PLANOGRAM_MENU_PENDING = 'GET_PLANOGRAM_MENU_PENDING';
export const GET_PLANOGRAM_MENU_SUCCESS = 'GET_PLANOGRAM_MENU_SUCCESS';
export const GET_PLANOGRAM_MENU_FAILED = 'GET_PLANOGRAM_MENU_FAILED';

export const GET_PLANOGRAM_SUBMENU_SUCCESS = 'GET_PLANOGRAM_SUBMENU_SUCCESS';

export const SET_SUBMENU = 'SET_SUBMENU';

export const PLANOGRAM_IMPLEMENTATION_SET_START_IMAGE =
  'PLANOGRAM_IMPLEMENTATION_SET_START_IMAGE';

export const REQUEST_PRODUCT_IDENTITY_PENDING =
  'REQUEST_PRODUCT_IDENTITY_PENDING';
export const REQUEST_PRODUCT_IDENTITY_SUCCESS =
  'REQUEST_PRODUCT_IDENTITY_SUCCESS';
export const REQUEST_PRODUCT_IDENTITY_FAILED =
  'REQUEST_PRODUCT_IDENTITY_FAILED';

export const SET_PLANOGRAM_IMPLEMENTATION_START =
  'SET_PLANOGRAM_IMPLEMENTATION_START';
export const SET_PLANOGRAM_IMPLEMENTATION_END =
  'SET_PLANOGRAM_IMPLEMENTATION_END';

export const REQUEST_PLANOGRAM_MENU_DIRECTORATE_PENDING =
  'REQUEST_PLANOGRAM_MENU_DIRECTORATE_PENDING';
export const REQUEST_PLANOGRAM_MENU_DIRECTORATE_SUCCESS =
  'REQUEST_PLANOGRAM_MENU_DIRECTORATE_SUCCESS';
export const REQUEST_PLANOGRAM_MENU_DIRECTORATE_FAILED =
  'REQUEST_PLANOGRAM_MENU_DIRECTORATE_FAILED';

export const REQUEST_PLANOGRAM_MENU_DIVISION_PENDING =
  'REQUEST_PLANOGRAM_MENU_DIVISION_PENDING';
export const REQUEST_PLANOGRAM_MENU_DIVISION_SUCCESS =
  'REQUEST_PLANOGRAM_MENU_DIVISION_SUCCESS';
export const REQUEST_PLANOGRAM_MENU_DIVISION_FAILED =
  'REQUEST_PLANOGRAM_MENU_DIVISION_FAILED';

export const REQUEST_PLANOGRAM_MENU_CATEGORY_PENDING =
  'REQUEST_PLANOGRAM_MENU_CATEGORY_PENDING';
export const REQUEST_PLANOGRAM_MENU_CATEGORY_SUCCESS =
  'REQUEST_PLANOGRAM_MENU_CATEGORY_SUCCESS';
export const REQUEST_PLANOGRAM_MENU_CATEGORY_FAILED =
  'REQUEST_PLANOGRAM_MENU_CATEGORY_FAILED';

export const REQUEST_PLANOGRAM_PENDING = 'REQUEST_PLANOGRAM_PENDING';
export const REQUEST_PLANOGRAM_SUCCESS = 'REQUEST_PLANOGRAM_SUCCESS';
export const REQUEST_PLANOGRAM_FAILED = 'REQUEST_PLANOGRAM_FAILED';

export const REQUEST_PROFILE_PENDING = 'REQUEST_PROFILE_PENDING';
export const REQUEST_PROFILE_SUCCESS = 'REQUEST_PROFILE_SUCCESS';
export const REQUEST_PROFILE_FAILED = 'REQUEST_PROFILE_FAILED';

export const REQUEST_PROFILE_UPDATE_PENDING = 'REQUEST_PROFILE_UPDATE_PENDING';
export const REQUEST_PROFILE_UPDATE_SUCCESS = 'REQUEST_PROFILE_UPDATE_SUCCESS';
export const REQUEST_PROFILE_UPDATE_FAILED = 'REQUEST_PROFILE_UPDATE_FAILED';

export const REQUEST_CHANGE_PASSWORD_PENDING =
  'REQUEST_CHANGE_PASSWORD_PENDING';
export const REQUEST_CHANGE_PASSWORD_FAILED = 'REQUEST_CHANGE_PASSWORD_FAILED';
export const REQUEST_CHANGE_PASSWORD_SUCCESS =
  'REQUEST_CHANGE_PASSWORD_SUCCESS';

export const REQUEST_PLANOGRAM_CANNOT_PENDING =
  'REQUEST_PLANOGRAM_CANNOT_PENDING';
export const REQUEST_PLANOGRAM_CANNOT_SUCCESS =
  'REQUEST_PLANOGRAM_CANNOT_SUCCESS';
export const REQUEST_PLANOGRAM_CANNOT_FAILED =
  'REQUEST_PLANOGRAM_CANNOT_FAILED';

export const REQUEST_PLANOGRAM_REQUEST_PENDING =
  'REQUEST_PLANOGRAM_REQUEST_PENDING';
export const REQUEST_PLANOGRAM_REQUEST_SUCCESS =
  'REQUEST_PLANOGRAM_REQUEST_SUCCESS';
export const REQUEST_PLANOGRAM_REQUEST_FAILED =
  'REQUEST_PLANOGRAM_REQUEST_FAILED';

export const REQUEST_PLANOGRAM_REQUEST_LIST_PENDING =
  'REQUEST_PLANOGRAM_REQUEST_LIST_PENDING';
export const REQUEST_PLANOGRAM_REQUEST_LIST_SUCCESS =
  'REQUEST_PLANOGRAM_REQUEST_LIST_SUCCESS';
export const REQUEST_PLANOGRAM_REQUEST_LIST_FAILED =
  'REQUEST_PLANOGRAM_REQUEST_LIST_FAILED';

export const REQUEST_PLANOGRAM_REQUEST_DETAIL_PENDING =
  'REQUEST_PLANOGRAM_REQUEST_DETAIL_PENDING';
export const REQUEST_PLANOGRAM_REQUEST_DETAIL_SUCCESS =
  'REQUEST_PLANOGRAM_REQUEST_DETAIL_SUCCESS';
export const REQUEST_PLANOGRAM_REQUEST_DETAIL_FAILED =
  'REQUEST_PLANOGRAM_REQUEST_DETAIL_FAILED';

export const REQUEST_INSIGHT_HEADER_PENDING = 'REQUEST_INSIGHT_HEADER_PENDING';
export const REQUEST_INSIGHT_HEADER_SUCCESS = 'REQUEST_INSIGHT_HEADER_SUCCESS';
export const REQUEST_INSIGHT_HEADER_FAILED = 'REQUEST_INSIGHT_HEADER_FAILED';

export const REQUEST_INSIGHT_DIRECTORATE_PENDING =
  'REQUEST_INSIGHT_DIRECTORATE_PENDING';
export const REQUEST_INSIGHT_DIRECTORATE_SUCCESS =
  'REQUEST_INSIGHT_DIRECTORATE_SUCCESS';
export const REQUEST_INSIGHT_DIRECTORATE_FAILED =
  'REQUEST_INSIGHT_DIRECTORATE_FAILED';

export const REQUEST_INSIGHT_DIVISION_PENDING =
  'REQUEST_INSIGHT_DIVISION_PENDING';
export const REQUEST_INSIGHT_DIVISION_SUCCESS =
  'REQUEST_INSIGHT_DIVISION_SUCCESS';
export const REQUEST_INSIGHT_DIVISION_FAILED =
  'REQUEST_INSIGHT_DIVISION_FAILED';

export const REQUEST_INSIGHT_DETAIL_PENDING = 'REQUEST_INSIGHT_DETAIL_PENDING';
export const REQUEST_INSIGHT_DETAIL_SUCCESS = 'REQUEST_INSIGHT_DETAIL_SUCCESS';
export const REQUEST_INSIGHT_DETAIL_FAILED = 'REQUEST_INSIGHT_DETAIL_FAILED';

export const REQUEST_TUTORIAL_DIRECTORATE_PENDING =
  'REQUEST_TUTORIAL_DIRECTORATE_PENDING';
export const REQUEST_TUTORIAL_DIRECTORATE_SUCCESS =
  'REQUEST_TUTORIAL_DIRECTORATE_SUCCESS';
export const REQUEST_TUTORIAL_DIRECTORATE_FAILED =
  'REQUEST_TUTORIAL_DIRECTORATE_FAILED';

export const REQUEST_TUTORIAL_SUBDIRECTORATE_PENDING =
  'REQUEST_TUTORIAL_SUBDIRECTORATE_PENDING';
export const REQUEST_TUTORIAL_SUBDIRECTORATE_SUCCESS =
  'REQUEST_TUTORIAL_SUBDIRECTORATE_SUCCESS';
export const REQUEST_TUTORIAL_SUBDIRECTORATE_FAILED =
  'REQUEST_TUTORIAL_SUBDIRECTORATE_FAILED';

export const REQUEST_TUTORIAL_GLOBAL_PENDING =
  'REQUEST_TUTORIAL_GLOBAL_PENDING';
export const REQUEST_TUTORIAL_GLOBAL_SUCCESS =
  'REQUEST_TUTORIAL_GLOBAL_SUCCESS';
export const REQUEST_TUTORIAL_GLOBAL_FAILED = 'REQUEST_TUTORIAL_GLOBAL_FAILED';

export const REQUEST_FASHION_FILTER_PENDING = 'REQUEST_FASHION_FILTER_PENDING,';
export const REQUEST_FASHION_FILTER_SUCCESS = 'REQUEST_FASHION_FILTER_SUCCESS,';
export const REQUEST_FASHION_FILTER_FAILED = 'REQUEST_FASHION_FILTER_FAILED,';
